Skip to main content
PATCH
/
projects
/
{projectId}
/
deployments
/
{deploymentTargetConfigurationId}
Error
A valid request URL is required to generate request examples
{
  "status": "<string>",
  "code": 123
}

Documentation Index

Fetch the complete documentation index at: https://developer.upsun.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectId
string
required
deploymentTargetConfigurationId
string
required

Body

application/json
type
enum<string>
required

The type of the deployment target

Available options:
dedicated,
enterprise,
foundation,
kubernetes
name
string
required

The name of the deployment target

enforced_mounts
Enforced Mounts · object

Mounts which are always injected into pushed (e.g. enforce /var/log to be a local mount)

Response

default - application/json
status
string
required

The status text of the response

code
integer
required

The status code of the response

Last modified on May 11, 2026